CHEATMAKE(1)

NAME
cheatmake - Dupe make afin de ne pas reconstruire certains fichiers

SYNOPSIS

cheatmake [hidechangefichier] [show] [whyfichier]

DESCRIPTION

cheatmake est utilisé pour gagner du temps lors des recompilations. Il peut duper make afin d'ignorer les fichiers qui n'ont pas changé de manière significative. Ceci peut être utilisé par exemple lorsque vous changez un commentaire dans un fichier, sans en avoir modifié le code.

Cet utilitaire fait partie du kit de développement de logiciels de KDE.

OPTIONS

hidechange fichier
    Masque le fait que ce fichier a changé en plaçant l'horodatage dans le passé. À utiliser avec précaution !

show
    Liste les fichiers que make doit reconstruire

why fichier
    Explique pourquoi make doit reconstruire le fichier

ENVIRONNEMENT

Une des variables suivantes (mais pas les deux) doit être réglée si le dossier des sources est différent du dossier de construction. Si le dossier de construction est simplement un sous-dossier du dossier contenant les sources, la simple variable OBJ_SUBDIR doit être utilisée.

OBJ_SUBJDIR
    Indique que le dossier de construction est dans le sous-dossier donné du dossier contenant les sources. Par exemple, si le dossier de sources est kdesdk et que le dossier de construction est kdesdk/obj-i386-linux, alors OBJ_SUBDIR doit être mise à obj-i386-linux.

OBJ_REPLACEMENT
    Une expression sed qui est utilisée pour transformer le dossier des sources en dossier de construction. Par exemple, si le dossier des sources est kdesdk/obj-i386-linux, alors OBJ_REPLACEMENT devrait être réglée à s#kdesdk#kdesdk-obj#.

VOIR AUSSI

make(1)

AUTEURS

cheatmake a été écrit par David Faure <faure@kde.org>. Cette page de manuel a été préparée par Ben Burton <bab@debian.org> pour le système GNU/Linux® Debian (mais peut être utilisé par d'autres).